﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace mp3dll
{
    public partial class spectrum : Form
    {
        public spectrum()
        {
            InitializeComponent();
        }

        int number = 1;//player selection
        private void checkBox1_MouseUp(object sender, MouseEventArgs e)
        {
            if (enable.CheckState == CheckState.Checked)
            {
                MP3.EnableSpectrumAnalyzer(number, 1);
                timer.Enabled = true;
            }
            else
            {
                timer.Enabled = false;
                MP3.EnableSpectrumAnalyzer(number, 0);
            }
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            int ff60=0;
            int ff170=0;
            int ff310=0;
            int ff600=0;
            int ff1000=0;
            int ff3000=0;
            int ff6000=0;
            int ff12000=0;
            int ff14000=0;
            int ff16000=0;
            int fpeak=0;
            MP3.GetSpectrumAnalyzer(number,
                ref ff60,
                ref ff170,
                ref ff310,
                ref ff600,
                ref ff1000,
                ref ff3000,
                ref ff6000,
                ref ff12000,
                ref ff14000,
                ref ff16000,
                ref fpeak);

            f60.Value = ff60;
            f170.Value = ff170;
            f310.Value = ff310;
            f600.Value = ff600;
            f1000.Value = ff1000;
            f3000.Value = ff3000;
            f6000.Value = ff6000;
            f12000.Value = ff12000;
            f14000.Value = ff14000;
            f16000.Value = ff16000;
            peak.Value = fpeak;
             


        }

        private void spectrum_Load(object sender, EventArgs e)
        {
            /*
             *         Form10.ProgressBar1.Value = f60
'        Form10.ProgressBar2.Value = f170
'        Form10.ProgressBar3.Value = f310
'        Form10.ProgressBar4.Value = f600
'        Form10.ProgressBar5.Value = f1000
'        Form10.ProgressBar6.Value = f3000
'        Form10.ProgressBar7.Value = f6000
'        Form10.ProgressBar8.Value = f12000
'        Form10.ProgressBar9.Value = f14000
'        Form10.ProgressBar10.Value = f16000
'        Form10.ProgressBar11.Value = peak
             * */

        }
    }
}
